Bug 138137 - atkbd.c reports unknown keycodes e001 e059 constantly
atkbd.c reports unknown keycodes e001 e059 constantly
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-04 16:47 EST by Philip K. Warren
Modified: 2015-01-04 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:58:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Philip K. Warren 2004-11-04 16:47:48 EST
Description of problem:
Using the Microsoft Wireless Natural Multimedia Keyboard on Fedora
Core 2 (with kernel-2.6.8-1.521 installed), I get a constant stream of
the following messages printed to the console (and /var/log/messages).
This makes it next to impossible to use the the console with this
keyboard.

atkbd.c: Unknown key pressed (translated set 2, code 0xd9 on
isa0060/serio0).
atkbd.c: Use 'setkeycodes e059 <keycode>' to make it known

atkbd.c: Unknown key pressed (translated set 2, code 0x81 on
isa0060/serio0).
atkbd.c: Use 'setkeycodes e001 <keycode>' to make it known

Version-Release number of selected component (if applicable):
kernel-2.6.8-1.521

How reproducible:
Install a wireless natural multimedia keyboard. Type some keys from
the console.
Comment 1 Dave Jones 2005-04-16 01:58:08 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.